POST /kds/orderStatus/{orderId}

Update Order Status

This endpoint allows to update order status from third party KDS systems to Deliverect.

KDS order statuses

Order Status Integer Value
Preparing 50
Prepared 60
Ready for pickup 70
In Delivery 80

Path parameters

  • orderId string Required
application/json

Body

object object

Responses

  • 200 application/json

    Ok

POST /kds/orderStatus/{orderId}
curl \
 --request POST 'https://api.staging.deliverect.com/kds/orderStatus/{orderId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"orderId":"6239****835f","status":50,"reason":"Order is being prepared."}'
Request example
{
  "orderId": "6239****835f",
  "status": 50,
  "reason": "Order is being prepared."
}
Response examples (200)
{
  "productSyncUrl": "https://integrator.com/productSyncUrl",
  "orderWebhookUrl": "https://integrator.com/orderWebhookUrl",
  "orderStatusUpdateUrl": "https://integrator.com/orderStatusUpdateUrl"
}